Opened 13 years ago

Closed 12 years ago

#12806 closed defect (fixed)

transfig violates the layout of the ports-filesystems

Reported by: alexander.zimmermann@… Owned by: pguyot (Paul Guyot)
Priority: Normal Milestone:
Component: ports Version: 1.5.0
Keywords: Cc: davidh@…
Port: transfig

Description

...
--->  Fetching transfig
--->  Attempting to fetch transfig.3.2.5.tar.gz from http://xfig.org/software/xfig/3.2.5/
--->  Verifying checksum(s) for transfig
--->  Extracting transfig
--->  Applying patches to transfig
--->  Configuring transfig
--->  Building transfig with target all
--->  Staging transfig into destroot
Warning: violation by /usr
Warning: transfig violates the layout of the ports-filesystems!
Warning: Please fix or indicate this misbehavior (if it is intended), it will be an error in future releases!
--->  Installing transfig 3.2.5_0
--->  Activating transfig 3.2.5_0
Error: Target org.macports.activate returned: Image error: /usr/X11R6/lib/X11/doc/html/fig2dev.1.html already exists and does not belong to a registered port.  Unable to activate port transfig.
Error: The following dependencies failed to build: transfig
Error: Status 1 encountered during processing.

Attachments (1)

patch-fig2dev-Imakefile (2.0 KB) - added by alexander.zimmermann@… 13 years ago.

Download all attachments as: .zip

Change History (7)

comment:1 Changed 13 years ago by nox@…

Cc: pguyot@… added
Milestone: Port Bugs
Priority: HighNormal

Changed 13 years ago by alexander.zimmermann@…

Attachment: patch-fig2dev-Imakefile added

comment:2 Changed 13 years ago by alexander.zimmermann@…

Problem solved. Ticket can be closed. Replace the original patch file with the one.

What does the new patch file do:

alexander@chicago:~/Desktop $ diff patch-fig2dev-Imakefile.orig patch-fig2dev-Imakefile
1,3c1,3
< --- fig2dev/Imakefile.orig	2005-10-28 01:56:02.000000000 +0900
< +++ fig2dev/Imakefile	2007-04-14 23:01:41.000000000 +0900
< @@ -23,18 +23,21 @@
---
> --- fig2dev/Imakefile.orig	2005-10-27 18:56:02.000000000 +0200
> +++ fig2dev/Imakefile	2007-11-06 15:20:52.000000000 +0100
> @@ -23,18 +23,22 @@
9a10
> +USRLIBDIR = __PREFIX/lib
29c30
< @@ -53,7 +56,7 @@
---
> @@ -53,7 +57,7 @@
38c39
< @@ -74,9 +77,9 @@
---
> @@ -74,9 +78,9 @@
51c52
< @@ -92,7 +95,7 @@
---
> @@ -92,7 +96,7 @@
60c61
< @@ -141,7 +144,7 @@
---
> @@ -141,7 +145,7 @@

comment:3 Changed 13 years ago by ryandesign (Ryan Schmidt)

Alexander, your change appears not to relate to fixing the mtree violation reported in this ticket. Furthermore, using your patch appears to cause the port to fail to install many of its pieces at all (according to port contents), which is bad. So, I don't think we should use your patch.

comment:4 Changed 12 years ago by blb@…

Cc: davidh@… added; pguyot@… removed
Port: transfig added

Cc reporter of dup #15508.

comment:5 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

comment:6 Changed 12 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: newclosed

Since this ticket was originally filed, MacPorts has switched from using the system's X11 to using its own. I no longer see the mtree violation today. r48826 may have fixed this.

Note: See TracTickets for help on using tickets.